Skip to main content
POST
Create Spec Knowledge

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

spec_id
string
required

Body

application/json

Schema for creating a knowledge base item.

content
string
required
Minimum string length: 1
title
string
required
Required string length: 1 - 500
description
string | null
mime_type
string
default:text/markdown

Response

Successful Response

Full knowledge base item response.

content
string
required
created_at
string<date-time>
required
created_by
string
required
description
string | null
required
id
string
required
mime_type
string
required
spec_id
string
required
title
string
required
updated_at
string<date-time>
required
Last modified on May 17, 2026